using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Game14Spawner : MonoBehaviour{

    public float spawnRate = 1f;

    public GameObject hexagon;

    float nextTimeToSpawn = 0f;

    // Start is called before the first frame update
    void Start(){
        
    }

    // Update is called once per frame
    void Update(){
        if(Time.time >= nextTimeToSpawn){
            Instantiate(hexagon, Vector3.zero, Quaternion.identity);
            nextTimeToSpawn = Time.time + 1f / spawnRate;
        }
    }
}
